/v1/issuer/data_sources/{id}/test
API Key
Test data source connection
Test the connection to the data source. For PostgreSQL sources, this
attempts to connect using the stored credentials. Updates the data source
status based on the result (active on success, error on failure).
Parameters
| Name | Location | Type | Description |
|---|---|---|---|
id
*
|
path | string | Data source ID |
X-API-Key
*
|
header | string | Issuer API key for authentication |
* Required parameter
Response
Content-Type: application/json
success
boolean
data
object
Result of testing a data source connection
message
*
string
Human-readable result message
Example: Connection successful
status
*
string
Connection test result: - connected: Connection test passed - error: Connection test failed
Allowed values: "connected", "error"
Example: connected
error
string
nullable
Error message if connection failed
Code Examples
import os
from aho_sdk import AhoSdk
client = AhoSdk.issuer(api_key=os.environ["AHO_API_KEY"])
result = client.data_sources.test(
id="example_id"
)
client = AhoSdk.issuer(api_key: ENV["AHO_API_KEY"])
result = client.data_sources.test(
id: "example_id"
)
import { AhoSdk } from '@aho/sdk';
const client = AhoSdk.issuer({ apiKey: process.env.AHO_API_KEY });
const result = await client.data_sources.test({
id: "example_id"
});
curl -X POST 'https://api.aho.com/v1/issuer/data_sources/example_id/test' \
-H 'X-API-Key: $AHO_API_KEY'
Try It
Log in to test this endpoint directly from the documentation.
Log in